Nowe posty

xx Apache2 i twarde https (3)
2020-05-25, 15:53:43
xx Czy istnieje emulator terminala który zapamieta komendy na jakiejś liście? (9)
2020-05-23, 17:04:57
xx RTLinux wybór dystrybucji (0)
2020-05-23, 15:42:54
xx Problem z instalacją Ubuntu na bootowalnym pendrajwie (9)
2020-05-22, 15:08:12
xx Ubuntudde 20.04 LTS nie działa Lightdm (8)
2020-05-22, 09:16:42
xx [Gra za darmo] GTA5 (1)
2020-05-20, 21:49:26
xx Marketing (1)
2020-05-13, 08:00:41
xx Polecenia Debian (1)
2020-05-10, 19:58:54
xx Uruchamianie pliku z każdego katlogu (2)
2020-05-10, 19:23:33
xx grafika w jadrze (1)
2020-05-10, 08:18:46

Autor Wątek: Celestia 1.5.0 Problem  (Przeczytany 3171 razy)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 3
    • Zobacz profil
Celestia 1.5.0 Problem
« dnia: 2008-03-20, 19:03:44 »
Dzień dobry.

Dzisiaj zainstalowałem na moim systemie program astronomiczny Celestia (celestia-gtk-1.5.0.x86.package).

Gdy próbuję uruchomić program pojawia się spash screen (taki obrazek przy właczanu programu) i wczytują sie jakieś tam pliki, az nagle:

celestia: /usr/lib/libpng12.so.0: no version information available (required by celestia)
Initializing ARB vertex programs . . .
Loading ARB vertex program: shaders/diffuse_arb.vp
Loading ARB vertex program: shaders/specular_arb.vp
Loading ARB vertex program: shaders/haze_arb.vp
Loading ARB vertex program: shaders/bumpdiffuse_arb.vp
Error in vertex program shaders/bumpdiffuse_arb.vp, line 10: Error on line 12: malformed declaration (hint: '0.5')
render path: 1
Naruszenie ochrony pamięci
Nie wiem jak zrobic by to działało... :(

Prosze o pomoc.

Offline

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 434
    • Zobacz profil
Celestia 1.5.0 Problem
« Odpowiedź #1 dnia: 2008-03-20, 22:07:45 »
a skąd instalowałeś? i jaką masz kartę graficzną (i jakie do niej sterowniki)?

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 3
    • Zobacz profil
Celestia 1.5.0 Problem
« Odpowiedź #2 dnia: 2008-03-21, 09:00:29 »
Instalowałem z pakietu czyli  ./celestia-gtk-1.5.0.x86.package

Moj komputer:
Celeron 2400
1 gb ram
ATI Radeon 9250 (128 mb)

2.6.17-1.2174_FC5
KDE 3.5.1-2.3
X Version 11 xf86-video-ati 6.5.7.3

Offline

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 434
    • Zobacz profil
Celestia 1.5.0 Problem
« Odpowiedź #3 dnia: 2008-03-21, 14:19:23 »
Wygląda to na błąd w kodzie albo problem z kartą graficzną (sterownikiem). Zainstalowałeś najnowszą wersję na dosyć starym systemie. W ogóle, to na takim sprzęcie śmiało możesz zainstalować nowszą wersję Fedory (najnowsza to chyba 8 albo 9) - nie ma sensu się męczyć z piątką;)

Ja aż tak na kartach ATI się nie znam, ale wydaje mi się, że ten sterownik, który masz (xf86-video-ati) nie ma akceleracji 3D, a bardzo możliwe, że Celestia wymaga sterownika z akceleracją (błąd, który ci wyskoczył, właśnie to sugeruje).
Spróbuj zainstalować sterownik z akceleracją i też najlepiej w najnowszej wersji.
Pewnie ktoś inny na forum wie więcej na temat sterowników ATI, to może ci coś doradzić w tej kwestii.

Żeby się przekonać, czy to nie jest błąd w programie, możesz spróbować zainstalować jakąś starszą wersję i sprawdzić czy też się takie rzeczy dzieją.

Dobrym nawykiem jest też instalować programy z repozytoriów dystrybucji (oczywiście, jeśli się tam znajdują;), więc sprawdź, czy w repo Fedory jest Celestia.